/****************************************************************************

  This file is part of the VRender library.
  Copyright (C) 2005 Cyril Soler (Cyril.Soler@imag.fr)
  Version 1.0.0, released on June 27, 2005.

  http://artis.imag.fr/Members/Cyril.Soler/VRender

  VRender is free software; you can redistribute it and/or modify it under the
  terms of the GNU General Public License as published by the Free Software
  Foundation; either version 2 of the License, or (at your option) any later
  version.
  
  VRender is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
  A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License along with
  VRender; if not, write to the Free Software Foundation, Inc., 59 Temple
  Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/

#include <GL/gl.h>
#include "Vector3.h"
#include "Vector2.h"
#include "NVector3.h"

#ifndef _VRENDER_TYPES_H
#define _VRENDER_TYPES_H

namespace vrender
{
	typedef double FLOAT ;
	typedef GLdouble GLFLOAT ;

	typedef T_Vector2<double> Vector2 ;
	typedef T_Vector3<double> Vector3 ;
	typedef T_NVector3<double> NVector3 ;
#ifdef A_VOIR
	typedef T_Vect3<double> DVector3 ;
	typedef T_Vect2<double> Vector2 ;
#endif

	class Primitive ;

	typedef Primitive *PtrPrimitive ;

	const float FLAT_POLYGON_EPS = 1e-5 ;
}

#endif
